## org.apache.xerces.parsers
Class AbstractSAXParser.AttributesProxy

    java.lang.Object
      org.apache.xerces.parsers.AbstractSAXParser.AttributesProxy

All Implemented Interfaces:
  org.xml.sax.AttributeList, org.xml.sax.Attributes

Enclosing class:
  AbstractSAXParser

protected static final class AbstractSAXParser.AttributesProxy
extends java.lang.Object
implements org.xml.sax.AttributeList, org.xml.sax.Attributes

Field Summary
`protected org.apache.xerces.xni.XMLAttributes` `fAttributes` XML attributes.

Constructor Summary
`protected` `AbstractSAXParser.AttributesProxy()`

Method Summary
`int` `getIndex(java.lang.String qName)`
`int` `getIndex(java.lang.String uri, java.lang.String localPart)`
`int` `getLength()`
`java.lang.String` `getLocalName(int index)`
`java.lang.String` `getName(int i)`
`java.lang.String` `getQName(int index)`
`java.lang.String` `getType(int i)`
`java.lang.String` `getType(java.lang.String name)`
`java.lang.String` `getType(java.lang.String uri, java.lang.String localName)`
`java.lang.String` `getURI(int index)`
`java.lang.String` `getValue(int i)`
`java.lang.String` `getValue(java.lang.String name)`
`java.lang.String` `getValue(java.lang.String uri, java.lang.String localName)`
`void` `setAttributes(org.apache.xerces.xni.XMLAttributes attributes)` Sets the XML attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttributes

    protected org.apache.xerces.xni.XMLAttributes fAttributes

  XML attributes.

Constructor Detail

### AbstractSAXParser.AttributesProxy

    protected AbstractSAXParser.AttributesProxy()

Method Detail

### setAttributes

    public void setAttributes(org.apache.xerces.xni.XMLAttributes attributes)

  Sets the XML attributes.

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.xml.sax.AttributeList`

### getName

    public java.lang.String getName(int i)

  Specified by:
    `getName` in interface `org.xml.sax.AttributeList`

### getQName

    public java.lang.String getQName(int index)

  Specified by:
    `getQName` in interface `org.xml.sax.Attributes`

### getURI

    public java.lang.String getURI(int index)

  Specified by:
    `getURI` in interface `org.xml.sax.Attributes`

### getLocalName

    public java.lang.String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(int i)

  Specified by:
    `getType` in interface `org.xml.sax.AttributeList`

### getType

    public java.lang.String getType(java.lang.String name)

  Specified by:
    `getType` in interface `org.xml.sax.AttributeList`

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    `getValue` in interface `org.xml.sax.AttributeList`

### getValue

    public java.lang.String getValue(java.lang.String name)

  Specified by:
    `getValue` in interface `org.xml.sax.AttributeList`

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String qName)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localPart)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.